Recommended update for python-kiwi

SUSE Recommended Update: Recommended update for python-kiwi
Announcement ID: SUSE-RU-2019:1615-1
Rating: moderate
References: #1128146
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • SUSE Linux Enterprise Module for Development Tools 15

An update that has one recommended fix can now be installed.

Description:

This update for python-kiwi fixes the following issues:

  • Update compression flag for qcow2 format. (bsc#1128146)
  • Refactoring for the evaluation of the compress flag in the runtime config.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-1615=1
  • SUSE Linux Enterprise Module for Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-15-2019-1615=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    • python-kiwi-debugsource-9.17.15-3.18.1
    • python2-kiwi-9.17.15-3.18.1
  • SUSE Linux Enterprise Module for Development Tools 15 (aarch64 ppc64le s390x x86_64):
    • dracut-kiwi-lib-9.17.15-3.18.1
    • dracut-kiwi-live-9.17.15-3.18.1
    • dracut-kiwi-oem-dump-9.17.15-3.18.1
    • dracut-kiwi-oem-repart-9.17.15-3.18.1
    • dracut-kiwi-overlay-9.17.15-3.18.1
    • kiwi-man-pages-9.17.15-3.18.1
    • kiwi-tools-9.17.15-3.18.1
    • kiwi-tools-debuginfo-9.17.15-3.18.1
    • python-kiwi-debugsource-9.17.15-3.18.1
    • python3-kiwi-9.17.15-3.18.1
  • SUSE Linux Enterprise Module for Development Tools 15 (x86_64):
    • kiwi-pxeboot-9.17.15-3.18.1

References: